function detALL
% funkcia je takmer rovnaka ako detSelected.m, je vsak vypocetne menej
% narocna a rychlejsia, narozdiel od spomenutej funkcie aplikuje ziskany
% prah na vsetky obrazy nacitane z priecinka.
% Popisky ku su vo funkcii detSelected.m, okrem zakladneho cyklu for nieje
% medzi funkciami rozdiel.
global T INFO myGLOBAL
V = INFO.Detected;
for kl = 1:length(V)
    VECTmax(kl)  = T(V(kl)).IMAGE.OEXT(2);
end
b = max(VECTmax);

level = INFO.Tresh;
level = level/b;
for i = 1:length(T)
    Imag = T(i).IMAGE.ORIG;
    %     figure; imshow(Imag)
    h1 = [1 2 1;2 4 2;1 2 1]./16;
    % h1 = [1 2 4 2 1; 2 4 8 4 2; 4 8 16 8 4;2 4 8 4 2; 1 2 4 2 1]./16;
    
    Imag = imfilter(Imag,h1);
    Imag= Imag./b;
    BIN = im2bw(Imag,level);
    FINAL1 = imclearborder(BIN);
    Se = strel('disk',3);
    FINAL = imopen(FINAL1,Se);
    Se2 = strel('disk',2);
    FINAL = imdilate(FINAL,Se2);
    FINAL = imfill(FINAL,'holes');
    HA = bwboundaries(FINAL);
    [LAB,number] = bwlabel(FINAL);
    properties = regionprops(LAB,'Area','Centroid','EquivDiameter', ...
        'EulerNumber','BoundingBox','Extent','Perimeter',...
        'PixelIdxList', 'FilledArea','PixelList','FilledImage',...
        'Solidity','Eccentricity','MajorAxisLength','MinorAxisLength');
    [hodnoty2,pozicie2]=imhist(Imag);
    hodnoty=hodnoty2;
    hodnoty2(hodnoty2==0)=[];
    pozicie2(hodnoty==0)=[];
    MAX = find(pozicie2<level);
    interval = hodnoty2(1:length(MAX));
    [Val, Idc] = max(interval);
    POMOCNA = [];
    for ij = 1:Idc-1
        if hodnoty2(ij)>hodnoty2(ij+1) && pozicie2(ij)<Idc*0.65
            prah = pozicie2(ij+1);
            FILM = im2bw(Imag,prah);
            SE = strel('disk',2);
            FILM = imclose(FILM,SE);
            FILM = imopen(FILM,SE);
            FILM = 1-FILM;
            POMOCNA(1) = 1;
        end
    end
    
    if POMOCNA == 1;
        BINARNY = FINAL+FILM+(BIN-FINAL1);
    else
        BINARNY = FINAL;
    end
    
    
    myGLOBAL(i).Images.BINAR = 1-BINARNY;
    myGLOBAL(i).Images.LAB = LAB;
    myGLOBAL(i).Images.FINAL = FINAL;
    myGLOBAL(i).Properties = properties;
    myGLOBAL(i).Boundaries = HA;
end